Name:           oorexx
Version:        3.2.0
Release:        2%{?dist}
Summary:        Open Object Rexx

Group:          Development/Languages
License:        CPL
URL:            http://www.oorexx.org
Source0:        http://switch.dl.sourceforge.net/sourceforge/oorexx/ooRexx-%{version}.tar.gz
Source1:        http://switch.dl.sourceforge.net/sourceforge/oorexx/ooRexx-%{version}-pdf.zip
Patch0:         oorexx-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    x86_64 ppc64


%description
Open Object Rexx is an object-oriented scripting language. The
language is designed for "non-programmer" type users, so it is easy to
learn and easy to use, and provides an excellent vehicle to enter the
world of object-oriented programming without much effort.

It extends the procedural way of programming with object-oriented
features that allow you to gradually change your programming style as
you learn more about objects.

%package libs
Summary:        Libraries for ooRexx
Group:          System Environment/Libraries

%description libs
Libraries for ooRexx.


%package docs
Summary:        Documentation for ooRexx
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}

%description docs
Documentation for ooRexx.


%package devel
Summary:        Header files and libraries for ooRexx
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-libs = %{version}-%{release}

%description devel
Header files and libraries for ooRexx.


%prep
%setup -q -n ooRexx-%{version}
unzip -qo %{SOURCE1}
%patch0 -p1 -b .paths


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f '{}' ';'
rm -fr samples/**/.deps
rm -f $RPM_BUILD_ROOT%{_datadir}/ooRexx/rexx.csh
rm -f $RPM_BUILD_ROOT%{_datadir}/ooRexx/rexx.sh
mv $RPM_BUILD_ROOT%{_bindir}/rxftp.cls $RPM_BUILD_ROOT%{_datadir}/ooRexx
mv $RPM_BUILD_ROOT%{_bindir}/rxregexp.cls $RPM_BUILD_ROOT%{_datadir}/ooRexx
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/ooRexx/*

# remove cruft
rm -f $RPM_BUILD_ROOT%{_datadir}/ooRexx/{*.rex,readme}
find . -name .deps | xargs rm -fr
rm -fr samples/windows


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc CPLv1.0.txt readme.pdf
%{_bindir}/rexx
%{_bindir}/rexxc
%{_bindir}/rxdelipc
%{_bindir}/rxmigrate
%{_bindir}/rxqueue
%{_bindir}/rxsubcom
%{_datadir}/ooRexx
%{_mandir}/man*/*


%files docs
%defattr(-,root,root,-)
%doc rexxpg.pdf rexxref.pdf rxftp.pdf rxmath.pdf rxsock.pdf
%doc samples README.txt


%files devel
%defattr(-,root,root,-)
%{_includedir}/rexx.h
%{_libdir}/lib*.so
%{_bindir}/oorexx-config


%files libs
%defattr(-,root,root,-)
%doc CPLv1.0.txt
%{_libdir}/lib*.so.*


%changelog
* Sat Dec  1 2007 Gerard Milmeister <gemi@bluewin.ch> - 3.2.0-2
- exclude arch ppc64

* Sat Dec  1 2007 Gerard Milmeister <gemi@bluewin.ch> - 3.2.0-1
- new release 3.2.0

* Sun Dec  3 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.1.1-1
- new version 3.1.1

* Tue Oct 10 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.1.0-5
- Exclude x86_64

* Mon Oct  9 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.1.0-4
- Build exclusively on i386 for now

* Mon Sep 25 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.1.0-1
- new version 3.1.0

* Tue May  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.0.0-1
- First Fedora release

